# Uses of Class
org.apache.avro.io.EncoderFactory

Packages that use EncoderFactory
Package
Description
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.

## Uses of EncoderFactory in org.apache.avro.io

Methods in org.apache.avro.io that return EncoderFactory
Modifier and Type
Method
Description
`EncoderFactory`
EncoderFactory.`configureBlockSize(int size)`
Configures this factory to construct blocking BinaryEncoders with the specified block buffer size.
`EncoderFactory`
EncoderFactory.`configureBufferSize(int size)`
Configures this factory to use the specified buffer size when creating Encoder instances that buffer their output.
`static EncoderFactory`
EncoderFactory.`get()`
Returns an immutable static DecoderFactory with default configuration.